[**@rxap/data-grid v19.0.2**](../README.md)

***

[@rxap/data-grid](../globals.md) / DataGridRowDefDirective

# Class: DataGridRowDefDirective\<T\>

Defined in: [data-grid-row-def.directive.ts:14](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/data-grid/src/lib/data-grid-row-def.directive.ts#L14)

## Type Parameters

• **T** *extends* `Record`\<`string`, `any`\>

## Constructors

### new DataGridRowDefDirective()

> **new DataGridRowDefDirective**\<`T`\>(): [`DataGridRowDefDirective`](DataGridRowDefDirective.md)\<`T`\>

#### Returns

[`DataGridRowDefDirective`](DataGridRowDefDirective.md)\<`T`\>

## Properties

### cell?

> `optional` **cell**: [`DataGridCellDefDirective`](DataGridCellDefDirective.md)\<`T`\>

Defined in: [data-grid-row-def.directive.ts:42](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/data-grid/src/lib/data-grid-row-def.directive.ts#L42)

***

### data

> **data**: `any` = `null`

Defined in: [data-grid-row-def.directive.ts:17](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/data-grid/src/lib/data-grid-row-def.directive.ts#L17)

***

### editCell?

> `optional` **editCell**: [`DataGridEditCellDefDirective`](DataGridEditCellDefDirective.md)\<`T`\>

Defined in: [data-grid-row-def.directive.ts:48](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/data-grid/src/lib/data-grid-row-def.directive.ts#L48)

***

### flip

> **flip**: `boolean` = `false`

Defined in: [data-grid-row-def.directive.ts:39](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/data-grid/src/lib/data-grid-row-def.directive.ts#L39)

true - the header and content cell are "rotated" by 90°. The header is above the content cell and both have a
colspan

**flip: false**
Label | Value
--- | ---
Header | Content

**flip: true**
Label | Value
--- | ---
Header (colspan 2)
Content (colspan 2)

***

### headerCell?

> `optional` **headerCell**: [`DataGridHeaderCellDefDirective`](DataGridHeaderCellDefDirective.md)

Defined in: [data-grid-row-def.directive.ts:45](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/data-grid/src/lib/data-grid-row-def.directive.ts#L45)

***

### name?

> `optional` **name**: `string`

Defined in: [data-grid-row-def.directive.ts:20](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/data-grid/src/lib/data-grid-row-def.directive.ts#L20)

## Accessors

### isSubHeader

#### Get Signature

> **get** **isSubHeader**(): `boolean`

Defined in: [data-grid-row-def.directive.ts:50](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/data-grid/src/lib/data-grid-row-def.directive.ts#L50)

##### Returns

`boolean`
